Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Syvilla Joy G. Melo applied on Indeed
From: "Syvilla Joy G. Melo" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Thu, 4 Aug 2022 08:57:33 -0500 (CDT)

Hi Maam. Goodevening. Sorry for the late notice. It’s okay that I will have an interview tomorrow? I just got an emergency. I’m sorry. Hoping for your understanding. Thank you

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3Cf86e5384-8711-404a-a323-feef441512d7%40indeedemail.com%3E&hl=en_PH&co=PH>

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.